package model

import "shylinux.com/x/mysql-story/src/db"

const (
	UID             = "uid"
	NAME            = "name"
	INFO            = "info"
	TYPE            = "type"
	TITLE           = "title"
	CONTENT         = "content"
	USER_UID        = "user_uid"
	USER_REPOS_ROLE = "user_repos_role"
	REPOS_UID       = "repos_uid"
	REPOS_NAME      = "repos_name"
	REPOS_LINK      = "repos_link"
	REPOS_TYPE      = "repos_type"
	VERSION_UID     = "version_uid"
)

type UserRepos struct {
	db.ModelUserPlace
	ReposUID string `gorm:"type:char(32);index"`
}
type Repos struct {
	db.ModelPlace
	CompanyUID string `gorm:"type:char(32);index"`
	Link       string `gorm:"type:varchar(255)"`
}
type Version struct {
	db.ModelContent
	ReposUID string `gorm:"type:char(32);index"`
}

func init() { db.CmdModels("", &UserRepos{}, &Repos{}, &Version{}) }
